onClipEvent(load){
   function addMan(trg)
   {
      men.push(trg);
   }
   function increaseMaxSpeed(extra)
   {
      maxSpeed += extra;
   }
   function rotateVector(vect, angle)
   {
      radAngle = angle * 3.141592653589793 / 180;
      var _loc1_ = new Object();
      _loc1_.x = vect.x * Math.cos(radAngle) - vect.y * Math.sin(radAngle);
      _loc1_.y = vect.x * Math.sin(radAngle) + vect.y * Math.cos(radAngle);
      return _loc1_;
   }
   function subVectors(vect1, vect2)
   {
      tempVect = new Object();
      tempVect.x = vect1.x - vect2.x;
      tempVect.y = vect1.y - vect2.y;
      return tempVect;
   }
   function addVectors(vect1, vect2)
   {
      tempVect = new Object();
      tempVect.x = vect1.x + vect2.x;
      tempVect.y = vect1.y + vect2.y;
      return tempVect;
   }
   function distance(x1, y1, x2, y2)
   {
      tempDistance = Math.abs(x1 - x2) + Math.abs(y1 - y2);
      return tempDistance;
   }
   function limitVector(tempVect, limit)
   {
      if(limit == undefined)
      {
         limit = maxSpeed;
      }
      speed = distance(0,0,tempVect.x,tempVect.y);
      if(speed > limit)
      {
         div = speed / limit;
         tempVect.x /= div;
         tempVect.y /= div;
      }
      return tempVect;
   }
   function increaseVector(tempVect, inc)
   {
      temp2Vect = new Object();
      temp2Vect.x = 0;
      temp2Vect.y = inc;
      temp2Vect = rotateVector(temp2Vect,currentAngle);
      tempVect = addVectors(temp2Vect,tempVect);
      return tempVect;
   }
   function checkCrash()
   {
      if(altVect.x <= -3)
      {
         killCopter();
         return true;
      }
      return false;
   }
   function checkIceBergs()
   {
      if(_root.checkBarriers(currentAltitude))
      {
         killCopter();
         return true;
      }
      return false;
   }
   function killCopter()
   {
      _parent.body.gotoAndStop("crash");
      heliHang.stop();
      bummHang.start();
      _root.landingGround = undefined;
      _parent._parent.arnyek._visible = false;
      _root.stopGame = true;
   }
   function waterCopter()
   {
      _parent.body.gotoAndStop("water");
      _root.landingGround = undefined;
      heliHang.stop();
      buggyHang.start();
      _parent._parent.arnyek._visible = false;
      _root.stopGame = true;
   }
   stopAllSounds();
   _visible = false;
   men = new Array();
   heliHang = new Sound(this);
   heliHang.attachSound("heliSound");
   bummHang = new Sound(this);
   bummHang.attachSound("bumm");
   bummHang.setVolume(150);
   buggyHang = new Sound(this);
   buggyHang.attachSound("buggy");
   buggyHang.setVolume(100);
   heliHang.start(0,999999);
   heliVolume = 10;
   heliHang.setVolume(heliVolume);
   currentAltitude = 0;
   _parent._x = _root.base._x;
   _parent._y = _root.base._y;
   maxAltitude = 100;
   animFrame = 10;
   anim = false;
   maxSpeed = 15;
   rotateAngle = 5;
   currentRotate = 0;
   currentAngle = 0;
   origMaxSpeed = maxSpeed;
   myVect = new Object();
   myVect.x = 0;
   myVect.y = 0;
   altVect = new Object();
   altVect.x = 0;
   gravity = new Object();
   gravity.x = 0.1;
   landed = true;
}
